ispconfig
Jun 3
再对ispconfig 添加php 多版本的时候,因为执行./configure 后执行make 中途离开导致会话退出,再次执行make的时候报错
libtool: link: `ext/opcache/ZendAccelerator.lo' is not a valid libtool object
常见错误:
编译安装php时报错
错误1:
安装包:php-5.6.36.tar.bz2

编译成功完成,结果在make的时候报错
libtool: link: `ext/opcache/ZendAccelerator.lo' is not a valid libtool object

解决办法:
# make distclean
重新编译,make,通过

错误2:
启动php-fpm时报错:

Starting php-fpm [22-May-2017 11:18:29] ERROR: [pool www] cannot get uid for user 'nginx'
意思是没有nginx用户,添加就好了
# useradd nginx

错误3:

配置好php和nginx之后,访问index.php时一片空白
解决办法:
        location ~ \.php$ {
            root           html;
            fastcgi_pass   127.0.0.1:9000;
            fastcgi_index  index.php;
            #fastcgi_param  SCRIPT_FILENAME  /scripts$fastcgi_script_name;
            include        fastcgi.conf;                                          
        }
Tags: ,
分页: 1/1 第一页 1 最后页 [ 显示模式: 摘要 | 列表 ]